$html-link-margin: 0 !default;
$html-link-padding: 0 !default;
$html-link-color: map-get($text-colors, 'link') !default;
$html-link-background: transparent !default;
$html-link-text-decoration: none !default;
$html-link-hover-color: map-get($text-colors, 'normal') !default;
$html-link-hover-text-decoration: none !default;
$html-link-border: none !default;
$html-link-hover-border: none !default;
$html-link-hover-box-shadow: 0 2px 0 0 map-get($text-colors, 'link') !default;
$html-link-alt-color: map-get($text-colors, 'inverse') !default;
$html-link-alt-text-decoration: underline !default;

$html-link-large-font-size: map-get($font-sizes, 'large') !default;


.#{$namespace}-link {
  @include set-border($html-link-border);

  display: inline;
  margin: $html-link-margin;
  padding: $html-link-padding;
  color: $html-link-color;
  background: $html-link-background;
  text-decoration: $html-link-text-decoration;

  &:hover,
  &--hover {
    @include set-border($html-link-hover-border);

    cursor: pointer;
    color: $html-link-hover-color;
    background: $html-link-background;
    text-decoration: $html-link-hover-text-decoration;
    box-shadow: $html-link-hover-box-shadow;
  }

  &:focus:not([tabindex='-1']),
  &--focus:not([tabindex='-1']) {
    @include focus(null);
  }

  &--large {
    font-size: $html-link-large-font-size;
  }

  &--alt {
    color: $html-link-alt-color;
    text-decoration: $html-link-alt-text-decoration;

    &:hover {
      color: $html-link-alt-color;
      text-decoration: $html-link-alt-text-decoration;
    }
  }
}
